import request from '@/utils/request'

// 查询品牌荣誉信息列表
export function listHonors(query) {
  return request({
    url: '/basicData/xcrBrandHonors/findByPage',
    method: 'get',
    params: query
  })
}

// 查询品牌荣誉信息详细
export function getHonors(id) {
  return request({
    url: '/basicData/xcrBrandHonors/' + id,
    method: 'get'
  })
}

// 新增品牌荣誉信息
export function addHonors(data) {
  return request({
    url: '/basicData/xcrBrandHonors',
    method: 'post',
    data: data
  })
}

// 修改品牌荣誉信息
export function updateHonors(data) {
  return request({
    url: '/basicData/xcrBrandHonors',
    method: 'put',
    data: data
  })
}

// 删除品牌荣誉信息
export function delHonors(id) {
  return request({
    url: '/basicData/xcrBrandHonors/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delHonorsBatch(ids) {
  return request.post('/basicData/xcrBrandHonors/delete',ids)
}
